--- old/usr/src/cmd/nsadmin/etc-profile.sh	2013-11-28 11:13:29.050187707 +0400
+++ new/usr/src/cmd/nsadmin/etc-profile.sh	2013-11-28 11:13:29.063939009 +0400
@@ -21,6 +21,8 @@
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2013 Alexander Pyhalov. All rights reserved.
+#
 
 # The profile that all logins get before using their own .profile.
 
@@ -62,6 +64,17 @@
 		   	;;
 		esac
 	fi
+
+	if [ -d /etc/profile.d -a ! -f "${HOME}/.limited_profile" ] 
+	then
+		for file in /etc/profile.d/*.sh ; do
+			if [ -f "$file" -a -r "$file" ] 
+			then
+				source "$file"
+			fi
+		done
+		unset file
+	fi
 esac
 
 umask 022
